> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/mobile/apple-pay-for-web.md).

# Apple Pay for Web

The Apple Merchant API allows you to manage Apple Pay for Web integration through Xplor Pay's payment gateway. This API provides domain registration, merchant validation session, and retrieve merchant details for Apple Pay transactions.

### Usage information

1. **Manage domains**

Register your domain before initiating Apple Pay sessions. Domain registration creates an association between the merchant, Xplor Pay, Apple, and your website domain.

Use the domain endpoints to:

* Register one or more domains
* Deregister domains
* Retrieve registered domains

2. **Retrieve merchant details**

Retrieve merchant details to view the current Apple Pay configuration for a merchant.

3. **Validate merchant session**

After registering your domain, validate the merchant session to initiate an Apple Pay for Web session.

{% hint style="warning" %}
If you are using an Apple Developer account, then it will only use the `https://apple-pay-gateway-cert.apple.com` as the `validationURL`.
{% endhint %}

* [Android Device Configuration](/api-reference/api/payments/mobile/android-device-configuration.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/mobile/apple-pay-for-web.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
